installDataPackage {annotate} | R Documentation

## A function to install data packages from the Internet

### Description

This function can be used to easily download and install a data package from the Bioconductor website.

### Usage

    installDataPackage(pkga, liba = .libPaths()[1])

### Arguments

`pkga` | The name of the desired data package
`liba` | The install library, defaulting to the base library

### Details

installDataPackage uses the `reposTools` package to perform the actual download and install - this function is mainly just a simplified wrapper for `install.packages2`. It connects to the data package repository at http://www.bioconductor.org/data/dataRepos, and attempts to get the requested package.

### Author(s)

Jeff Gentry

### See Also

`install.packages2`

### Examples

      z <- tempfile()
      dir.create(z)
      installDataPackage("GO", liba=z)

[Package Contents]